### Function

# GLib unichar_compose

since: 2.30

#### Declaration [src]

    gboolean
    g_unichar_compose (
      gunichar a,
      gunichar b,
      gunichar* ch
    )

#### Description [src]

Performs a single composition step of the Unicode canonical composition algorithm.

This function includes algorithmic Hangul Jamo composition, but it is not exactly the inverse of g_unichar_decompose(). No composition can have either of `a` or `b` equal to zero. To be precise, this function composes if and only if there exists a Primary Composite P which is canonically equivalent to the sequence <`a`,`b`>. See the Unicode Standard for the definition of Primary Composite.

If `a` and `b` do not compose a new character, `ch` is set to zero.

See UAX#15 for details.

Available since: 2.30

#### Parameters

`a`

  Type: `gunichar`

  A Unicode character.

`b`

  Type: `gunichar`

  A Unicode character.

`ch`

  Type: `gunichar*`

  Return location for the composed character.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

`TRUE` if the characters could be composed.